You are not logged in.

#1 2022-06-03 15:17:56

lali
Member
Registered: 2022-06-03
Posts: 3

[SOLVED]PKGBUILD request ZScaler connector for Linux prerequisites

Hi,

I was wondering if somebody would be willing to create necessary packages required for ZScaler for Linux. The list of packages is listed here.
Some of them are already existing in official repo or AUR (net-tools, ca-certificates), nevertheless there are some that do not.

At the moment, MS has provided .run file that only works for Ubuntu/Debian, CentOS and Fedora. It pulls prerequisites automatically during install (unless one merged them prior to the installation process). I was hoping, with your help, we could make it work in Arch as well.

Cheers!

Last edited by lali (2022-06-04 12:43:34)

Offline

#2 2022-06-03 15:56:32

loqs
Member
Registered: 2014-03-06
Posts: 14,869

Re: [SOLVED]PKGBUILD request ZScaler connector for Linux prerequisites

Offline

#3 2022-06-04 09:35:28

lali
Member
Registered: 2022-06-03
Posts: 3

Re: [SOLVED]PKGBUILD request ZScaler connector for Linux prerequisites

I do not know that, but I have those linked packages installed and the client is not working.
The installation process is successful, but the app does not run.

Offline

#4 2022-06-04 11:39:02

loqs
Member
Registered: 2014-03-06
Posts: 14,869

Re: [SOLVED]PKGBUILD request ZScaler connector for Linux prerequisites

If you start the app from the console what output is produced if any?

Offline

#5 2022-06-04 12:16:29

lali
Member
Registered: 2022-06-03
Posts: 3

Re: [SOLVED]PKGBUILD request ZScaler connector for Linux prerequisites

Your message has pointed me to the solution.

It turns out after installation, for some reason there was one file missing in /opt/zscaler/bin/ which was actual front-end app. I have copied it from my Fedora VM and it actually worked. Now need to make it work like it's supposed to, but it is not Arch-related, so I'm gonna close the issue for the time being.

Thanks for your help!

Offline

#6 2022-06-04 12:38:53

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,962

Re: [SOLVED]PKGBUILD request ZScaler connector for Linux prerequisites

Please remember to mark your thread [SOLVED] (edit the title of your first post).


How to post. A sincere effort to use modest and proper language and grammar is a sign of respect toward the community.

Offline

Board footer

Powered by FluxBB